List cloud volumes

GET/v1/cloud_block_storage/volumes

A GET request to the /v1/cloud_block_storage/volumes will list volumes. You can adjust the output using the query parameters described below.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

label_selector?string

This parameter will filter results by labels. More details in the Labels section.

region_id?integer

A unique identifier of the volume's cloud region. You can find each ID by performing an API request described in the Cloud Region section. Only volumes of the chosen region will be displayed in the output.

instance_id?string

A unique identifier of a cloud instance. All IDs can be listed in the Cloud Instance section. If this parameter is filled in, volumes attached to the chosen instance will be shown.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. The name and status values are available as well.

Default"id"

Value in

  • "id"
  • "name"
  • "status"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

curl -X GET "https://example.com/v1/cloud_block_storage/volumes?instance_id=MYerEdOB"
[  {    "id": "YQdJ2dOG",    "openstack_uuid": "4c148678-d4ca-4580-866e-e364956f2648",    "region_id": 0,    "region_code": "NL01",    "name": "name139",    "size": 1,    "status": "available",    "created_at": "2024-10-17T10:00:00Z",    "bootable": false,    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "attachments": [      {        "instance_id": "MYerEdOB",        "instance_name": "name138",        "device": "/dev/vda",        "id": "fffaaa"      }    ],    "description": null  }]